> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Model Summary

> Retrieve summary of a specific model based on the risk type and sub-type.



## OpenAPI

````yaml GET /leaderboard/v2/summary/{modelName}
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/v2/summary/{modelName}:
    get:
      tags:
        - Leaderboard
      summary: v2 Model Summary
      description: >-
        Retrieve summary of a specific model based on the risk type and
        sub-type.
      operationId: leaderboard_v2_model_summary_get
      parameters:
        - in: path
          name: modelName
          required: true
          schema:
            title: Model Name
            type: string
            example: Mistral-7B-Instruct-v0.1
            description: The name of the model.
      responses:
        '200':
          description: Summary of the model's risk analysis.
          content:
            application/json:
              schema:
                title: LeaderboardSummaryResponse
                type: object
                properties:
                  status:
                    title: LeaderboardSummaryResponseStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardSummaryResponseData
                    type: object
                    properties:
                      summary:
                        title: LeaderboardSummaryResponseSummary
                        type: array
                        items:
                          title: Risk Summary
                          type: object
                          properties:
                            test_date:
                              title: Test Date
                              type: string
                              example: '2025-01-27T03:49:15.768416+00:00'
                              description: The date of the test.
                            model_name:
                              title: Model Name
                              type: string
                              example: Mistral-7B-Instruct-v0.1
                              description: The name of the model.
                            model_source:
                              title: Model Source
                              type: string
                              example: Meta
                              description: The source of the model.
                            risk_score:
                              title: Risk Score
                              type: number
                              format: float
                              example: 20.14671207754781
                              description: The risk score.
                            test_type:
                              title: Test Types
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    success(%):
                                      type: number
                                      format: float
                                      example: 88.89
                                    total:
                                      type: integer
                                      example: 387
                                  required:
                                    - success(%)
                                    - total
                            nist_category:
                              title: NIST Categories
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    success(%):
                                      type: number
                                      format: float
                                      example: 88.89
                                    total:
                                      type: integer
                                      example: 387
                                  required:
                                    - success(%)
                                    - total
                            category:
                              title: Categories
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    success(%):
                                      type: number
                                      format: float
                                      example: 88.89
                                    total:
                                      type: integer
                                      example: 387
                                  required:
                                    - success(%)
                                    - total
                            attack_method:
                              title: Attack Methods
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    success(%):
                                      type: number
                                      format: float
                                      example: 88.89
                                    total:
                                      type: integer
                                      example: 387
                                  required:
                                    - success(%)
                                    - total
                        example:
                          test_date: '2025-01-27T03:49:15.768416+00:00'
                          model_name: Mistral-7B-Instruct-v0.1
                          model_source: Meta
                          risk_score: 20.14671207754781
                          test_type:
                            - bias_test:
                                success(%): 88.89
                                total: 387
                            - cbrn_test:
                                success(%): 8.17
                                total: 600
                            - harmful_test:
                                success(%): 11.67
                                total: 180
                            - insecure_code_test:
                                success(%): 76.67
                                total: 450
                            - toxicity_test:
                                success(%): 0.45
                                total: 2200
                          nist_category:
                            - CBRN Information or Capabilitiesr:
                                success(%): 8.17
                                total: 600
                            - Dangerous, Violent, or Hateful Content:
                                success(%): 11.67
                                total: 180
                            - Harmful Bias or Homogenization:
                                success(%): 88.89
                                total: 387
                            - Information Security:
                                success(%): 76.67
                                total: 450
                            - Obscene, Degrading, and/or Abusive Content:
                                success(%): 0.45
                                total: 2200
                          category:
                            - Caste and Religion:
                                success(%): 100
                                total: 64
                            - Criminal Planning:
                                success(%): 13.33
                                total: 30
                            - EICAR:
                                success(%): 50
                                total: 10
                            - Evasion:
                                success(%): 91.67
                                total: 84
                            - Flirtation:
                                success(%): 0
                                total: 200
                            - GTUBE:
                                success(%): 30
                                total: 10
                            - GTphish:
                                success(%): 60
                                total: 10
                            - Gender:
                                success(%): 69.14
                                total: 81
                            - Guns & Illegal Weapons:
                                success(%): 13.33
                                total: 30
                            - Hate Speech & Discrimination:
                                success(%): 3.33
                                total: 30
                            - Health:
                                success(%): 100
                                total: 72
                            - Identity Attack:
                                success(%): 0
                                total: 400
                            - Insult:
                                success(%): 0.5
                                total: 200
                            - Payload:
                                success(%): 74.76
                                total: 210
                            - Profanity:
                                success(%): 2
                                total: 400
                            - Race:
                                success(%): 88.52
                                total: 122
                            - Regulated or Controlled Substances:
                                success(%): 33.33
                                total: 30
                            - Religion:
                                success(%): 91.67
                                total: 48
                            - Severe Toxicity:
                                success(%): 0
                                total: 400
                            - Sexual Content:
                                success(%): 3.33
                                total: 30
                            - Sexually Explicit:
                                success(%): 0.25
                                total: 400
                            - SubFunctions:
                                success(%): 78.57
                                total: 98
                            - Suicide & Self-harm:
                                success(%): 3.33
                                total: 30
                            - Threat:
                                success(%): 0
                                total: 200
                            - TopLevel:
                                success(%): 71.43
                                total: 28
                            - biology:
                                success(%): 2.5
                                total: 200
                            - chemistry:
                                success(%): 12
                                total: 200
                            - cybersecurity:
                                success(%): 10
                                total: 200
                          attack_method:
                            - Basic:
                                success(%): 25.34
                                total: 2072
                            - Iterative:
                                success(%): 15
                                total: 60
                            - Single Shot:
                                success(%): 13.95
                                total: 1685
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````